Summary:	Tool for generating API documentation for Python modules
Summary(pl.UTF-8):	Narzędzie do generowania dokumentacji API modułów Pythona
Name:		epydoc
Version:	3.0.1
Release:	7
License:	MIT
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/epydoc/%{name}-%{version}.zip
# Source0-md5:	43223b2139c59ec60f064564bea82bf4
Patch0:		%{name}-rst.patch
Patch1:		%{name}-__package__.patch
Patch2:		%{name}-cons_fields_stripping.patch
URL:		http://epydoc.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python
BuildRequires:	python-modules >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. For an example of epydoc's output, see the
API documentation for epydoc itself (html, pdf). A lightweight markup
language called epytext can be used to format docstrings and to add
information about specific fields, such as parameters and instance
variables. epydoc also understands docstrings written in
ReStructuredText, Javadoc and plaintext.

%description -l pl.UTF-8
epydoc jest narzędziem do generowania dokumentacji API modułów Pythona
w oparciu o ich wewnętrzne opisy (docstrings). Jako przykład wyniku
jego działania można obejrzeć jego własną dokumentację (html, pdf).
Dostępny jest prosty język znaczników o nazwie epytext, który można
wykorzystać do formatowania wewnętrznych opisów oraz do dodawania
informacji o konkretnych polach, takich jak parametry i zmienne
instancji. epydoc rozumie również wewnętrzne opisy stworzone w
formatach ReStructuredText i Javadoc oraz w postaci czystego tekstu.

%package gui
Summary:	GUI for epydoc
Summary(pl.UTF-8):	Interfejs graficzny dla epydoc
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-tkinter >= 2.2.1

%description gui
epydoc is a tool for generating API documentation for Python modules,
based on their docstrings. For an example of epydoc's output, see the
API documentation for epydoc itself (html, pdf). A lightweight markup
language called epytext can be used to format docstrings and to add
information about specific fields, such as parameters and instance
variables. epydoc also understands docstrings written in
ReStructuredText, Javadoc and plaintext.

This package contains GUI program for epydoc.

%description gui -l pl.UTF-8
epydoc jest narzędziem do generowania dokumentacji API modułów Pythona
w oparciu o ich wewnętrzne opisy (docstrings). Jako przykład wyniku
jego działania można obejrzeć jego własną dokumentację (html, pdf).
Dostępny jest prosty język znaczników o nazwie epytext, który można
wykorzystać do formatowania wewnętrznych opisów oraz do dodawania
informacji o konkretnych polach, takich jak parametry i zmienne
instancji. epydoc rozumie również wewnętrzne opisy stworzone w
formatach ReStructuredText i Javadoc oraz w postaci czystego tekstu.

Ten pakiet zawiera graficzny interfejs użytkownika (GUI) dla epydoc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python(\s|$),#!%{__python}\1,' \
	scripts/epydoc scripts/epydoc.py scripts/apirst2html.py scripts/epydocgui

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%py_install

install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/apirst2html.py
%attr(755,root,root) %{_bindir}/epydoc
%{_mandir}/man1/epydoc.1*
%{py_sitescriptdir}/epydoc
%exclude %{py_sitescriptdir}/epydoc/gui.py[co]
%{py_sitescriptdir}/epydoc-%{version}-py*.egg-info

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/epydocgui
%{py_sitescriptdir}/epydoc/gui.py[co]
%{_mandir}/man1/epydocgui.1*
%changelog
* Mon Jul 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epydoc.git;a=log;h=master

* Mon Jul 08 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> e1a1527
- Rel 7; fix shebang

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2dadee0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d649480
- automatic change: use py_build/py_install macros

* Fri Dec 16 2011 Jakub Bogusz <qboosh@pld-linux.org> cd37f68
- cleanup
- pl fix
- removed epydocgui script from base
- release 6

* Tue Jun 28 2011 Jacek Konieczny <jajcus@pld-linux.org> d8faf02
- fix to stripping the leading ':' or '-' from consolidated fields
  bulleted list. Probably broken by newer docutils.
- Release: 5

* Sun Jun 26 2011 Jacek Konieczny <jajcus@pld-linux.org> 66e5edf
- do not include the __package__ module variable in documentation
- Release: 4

* Sun May 08 2011 Jacek Konieczny <jajcus@pld-linux.org> 0611135
- Release: 3
- restructured text parsing fix, based on the patch from https://bugzilla.redhat.com/show_bug.cgi?id=578920

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> f785960
- BR: python, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 696ec48
- release 2

* Mon Oct 20 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 08574f8
- rel 1

* Fri Feb 01 2008 darekr <darekr@pld-linux.org> cd0789f
- BR: unzip

* Fri Feb 01 2008 wrobell <wrobell@pld-linux.org> b4505e4
- ver. 3.0.1

* Sat Mar 03 2007 wrobell <wrobell@pld-linux.org> 1836e92
- cleanup

* Sat Mar 03 2007 wrobell <wrobell@pld-linux.org> 11282e2
- out of date

* Sat Mar 03 2007 wrobell <wrobell@pld-linux.org> 9b9d9ac
- ver. 3.0 beta1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2b4efed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d406f40
- converted to UTF-8

* Wed Sep 27 2006 wrobell <wrobell@pld-linux.org> 850e425
- rel. 4 to rebuild with python 2.5 (final)

* Mon Sep 04 2006 Artur Frysiak <artur@frysiak.net> 97269ef
- rel. 3 (rebuild with python 2.5)

* Sun Sep 03 2006 Elan Ruusamäe <glen@pld-linux.org> 63e879f
- strict internal deps

